public class Anteil extends Bruch {
    public static Bruch verteilt = new Bruch(0, 1);

    public Anteil() {
        super(0, 1);
    }

    public Anteil(int z, int n) {
        super(z, n);

        if (n == 0) {
            throw new IllegalArgumentException("Nenner darf nicht 0 sein.");
        }

        Bruch neuerAnteil = new Bruch(z, n);
        Bruch neueVerteilung = verteilt.addiere(neuerAnteil);

        if (neueVerteilung.dezimalwert() > 1) {
            System.out.println("Fehler: Der Gesamtwert der verteilten Anteile übersteigt 1/1.");
            setZaehler(0);
            setNenner(1);
        } else {
            verteilt = neueVerteilung;
        }
    }

    public static double getVerteilt() {
        return verteilt.dezimalwert();
    }

    public Bruch getRest() {
        Bruch eins = new Bruch(1, 1);
        return eins.subtrahiere(verteilt);
    }
}
